## org.biojava.bio.seq.io
Class SimpleSequenceBuilder

    java.lang.Object
      org.biojava.bio.seq.io.SequenceBuilderBase
          org.biojava.bio.seq.io.SimpleSequenceBuilder

All Implemented Interfaces:
  SeqIOListener, SequenceBuilder

public class SimpleSequenceBuilder
extends SequenceBuilderBase

Basic SequenceBuilder implementation which accumulates all notified information and creates a SimpleSequence.

Version:
  1.1 [newio proposal]
Author:
  Thomas Down, David Huen (modified to derive from SequenceBuilderBase)

Field Summary
`static SequenceBuilderFactory` `FACTORY`

Fields inherited from class org.biojava.bio.seq.io.SequenceBuilderBase
`annotation, ERROR_FEATURES_PROPERTY, name, seq, uri`

Constructor Summary
`SimpleSequenceBuilder()`

Method Summary
`void` `addSymbols(Alphabet alpha, Symbol[] syms, int pos, int len)` Notify the listener of symbol data.
`Sequence` `makeSequence()` Return the Sequence object which has been constructed by this builder.

Methods inherited from class org.biojava.bio.seq.io.SequenceBuilderBase
`addFeatureProperty, addProperty, addSequenceProperty, endFeature, endSequence, setName, setURI, startFeature, startSequence`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FACTORY

    public static final SequenceBuilderFactory FACTORY

Constructor Detail

### SimpleSequenceBuilder

    public SimpleSequenceBuilder()

Method Detail

### addSymbols

    public void addSymbols(Alphabet alpha,
                           Symbol[] syms,
                           int pos,
                           int len)
                    throws IllegalAlphabetException

  Description copied from interface: `SeqIOListener`
  Notify the listener of symbol data. All symbols passed to this method are guarenteed to be contained within the specified alphabet. Generally all calls to a given Listener should have the same alphabet -- if not, the listener implementation is likely to throw an exception

  Specified by:
    `addSymbols` in interface `SeqIOListener`
  Specified by:
    `addSymbols` in class `SequenceBuilderBase`
  Throws:
    `IllegalAlphabetException`

### makeSequence

    public Sequence makeSequence()

  Description copied from interface: `SequenceBuilder`
  Return the Sequence object which has been constructed by this builder. This method is only expected to succeed after the endSequence() notifier has been called.

  Specified by:
    `makeSequence` in interface `SequenceBuilder`
  Overrides:
    `makeSequence` in class `SequenceBuilderBase`